<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Show Persons</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="container-fluid">
        {# Pour faire des liens vers des routes symfony, il est très très très
            recommandé d'utiliser plutôt la méthode path avec le nom de la
            route ciblé à l'intérieur plutôt que d'utiliser l'url de la route #}
        <a href="{{path('form_person')}}">Add Person</a>
        <h1>Persons list</h1>
        <div class="row">
            {# On fait une boucle sur les persons et pour chaque person on
                crée une card bootstrap avec les informations de la personne
                à l'intérieur #}
            {% for person in persons %}
            <div class="col-3 mb-2">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title"> {{person.name}} </h5>
                        <p class="card-text">
                            This person is {{person.age}} years old and they are {{person.personality}}
                        </p>
                        <a href="{{path('one_person', {id:person.id})}}" class="card-link">Show person</a>
                        
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>

</body>

</html>